part of viltage;

class CharNode extends TextField {
  String get char => _char;         String _char;
  TextFormat get style => _style;   TextFormat _style;
  int x, y;
  Entity entity;
  
  CharNode(this.x, this.y, this._char, this.entity) {
    _style = new TextFormat(entity.display.viltage.config.fontName, entity.display.viltage.config.fontSize, entity.display.viltage.config.fontColor);
    _updateTextField();
  }
  
  set char(String char) {
    _char = char;
    _updateTextField();
  }
  
  set style(TextFormat style) {
    _style = style;
    _updateTextField();
  }
  
  TextField textField = new TextField();
  
  _updateTextField() {
    textField.text = char;
    textField.x = x*entity.display.viltage.config.boxWidth;
    textField.y = y*entity.display.viltage.config.boxHeight;
    textField.defaultTextFormat = _style;
  }
}